Index: main/plugin-core-ui/resources/js/Ametys/form/SaveHelper.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/SaveHelper.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/SaveHelper.js	(revision 0)
@@ -0,0 +1,246 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Singleton class checking the validity of a form in order to save it
+ */
+Ext.define('Ametys.form.SaveHelper', {
+    singleton: true,
+    
+    /**
+     * @property {Number} LAUNCH_TESTS_SAVE_MBOX_HEIGHT The height of the "launch tests and save" message box
+     * @private
+     * @readonly 
+     */
+    LAUNCH_TESTS_SAVE_MBOX_HEIGHT: 130,
+    
+    /**
+     * Get the form from message targets
+     * @param {Ametys.message.MessageTarget[]} targets the message targets
+     * @return the form is found, null otherwise
+     */
+    getForm: function(targets)
+    {
+        var target = targets[0];
+        if (target != null)
+        {
+            var subtargets = target.getSubtargets(function(target) { return target.getType() ==  Ametys.message.MessageTarget.FORM }, 0);
+            if (subtargets.length == 0)
+            {
+            	Ext.MessageBox.alert("<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_NOFORM_TITLE'/>", "<i18n:text i18n:key='PLUGINS_CORE_UI_CONFIG_SAVE_NOFORM'/>");
+                return null;
+            }
+
+            return subtargets[0].getParameters().object.owner;
+        }
+        
+        return null;
+    },
+    
+    /**
+     * Saving of a configuration or a content
+     * @param {Ametys.form.ConfigurableFormPanel} form the configurable form panel
+     * @param {Function} callback function invoked after the saving process was authorized or not
+     */
+    canSave: function(form, callback)
+    {
+        var me = this,
+	        testsOk = true,
+	        paramCheckersDAO = form._paramCheckersDAO,
+	        paramCheckers = paramCheckersDAO._paramCheckers;
+        
+		// Validate form
+		var invalidFields = Ext.Array.merge(form.getInvalidFields(), form.getInvalidRepeaters());
+		if (invalidFields.length > 0)
+		{
+			var errorMessage = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_INVALIDFIELDS'/>";
+			errorMessage += "<ul>";
+			Ext.Array.each(invalidFields, function(invalidField) {
+				errorMessage += "<li>";
+				errorMessage += invalidField
+				errorMessage += "</li>";
+			})
+			errorMessage += "</ul>";
+			
+			Ametys.Msg.show({
+				   title: "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_INVALID_TITLE'/>", 
+				   msg: errorMessage,
+				   buttons: Ext.Msg.OK,
+				   icon: Ext.MessageBox.ERROR,
+				   handler: function() {callback(false);}  
+			});
+			
+			return;
+		}
+		
+        // At least one test wasn't successful
+        if (!this._areTestsOk(paramCheckers))
+        {
+            var msgBox = Ext.create('Ext.window.MessageBox', {closeAction: 'destroy'});
+            
+            msgBox.buttonText.yes = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_TESTS_NOK_MBOX_SAVE'/>";
+            msgBox.buttonText.no = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_TESTS_NOK_MBOX_RETRY'/>";
+            msgBox.buttonText.cancel = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_TESTS_NOK_MBOX_CANCEL'/>";
+            msgBox.show({
+                title: "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_TESTS_NOK_MBOX_TITLE'/>", 
+                msg: "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_TESTS_NOK_MBOX_MSG'/>",
+                buttons: Ext.Msg.YESNOCANCEL,
+                icon: Ext.Msg.ERROR,
+                height: me.LAUNCH_TESTS_SAVE_MBOX_HEIGHT,
+                fn: function(answer)
+                {
+                    if (answer == 'yes')
+                    {
+                        callback(true);
+                    }
+                    else if (answer == 'no')
+                    {
+                        Ext.getBody().mask("<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_WAIT_MSG'/>");
+                        paramCheckersDAO.check(paramCheckers, 
+            					              true, 
+            					              Ext.bind(function(success) 
+    					            		  { 
+        					            	  	Ext.getBody().unmask(); 
+        					            	  	if (success) 
+        					            	  	{ 
+        					            			this._handleWarnedFields(form, callback);
+    					            	  		} 
+    					            		  }, me), false);
+                    }
+                }
+            });
+            return;
+        }
+        // All tests passed, check the warning on fields
+        else
+    	{
+        	this._handleWarnedFields(form, callback);
+    	}
+    },
+   
+    /**
+     * Display a dialog box listing the errors found by the server
+     * @param {Ametys.form.ConfigurableFormPanel} form the configurable form panel
+     * @param {String} errorTitle the title of the save error dialog
+     * @param {Ametys.form.ConfigurableFormPanel} errorMsg the introduction message of the error dialog
+     * @param {Object} fieldErrors the mapping of field names with the corresponding error message
+     * @param {Array} globalErrors the global error messages
+     */
+    handleServerErrors: function(form, errorTitle, errorMsg, fieldErrors, globalErrors)
+    {
+    	var fieldNamePrefix = form.getFieldNamePrefix();
+    	var detailedMsg = '';
+    	
+    	// First treat the global errors
+    	if (globalErrors && globalErrors.length > 0)
+    	{
+    		for (var i=0; i < globalErrors.length; i++)
+    		{
+    			detailedMsg += '<li>' + globalErrors[i] + '</li>'
+    		}
+    	}
+    	
+    	// Then treat the errors on fields
+    	if (!Ext.Object.isEmpty(fieldErrors))
+    	{
+    		for (var name in fieldErrors)
+    		{
+    			var fieldName = fieldNamePrefix + name;
+    			var fd = form.getForm().findField(fieldName);
+    			
+    			detailedMsg += '<li><b>' + (fd != null ? fd.getFieldLabel() : fieldName) + '</b>: ' + fieldErrors[name] + '</li>';
+    		}
+    		
+    		form.markFieldsInvalid (fieldErrors);
+    	}
+    
+    	Ametys.form.SaveErrorDialog.showErrorDialog (errorTitle, errorMsg, '<ul>' + detailedMsg + '</ul>');
+    },
+    
+    /**
+     * @private
+     * Display a dialog box listing the fields in warning
+     * @param {Ametys.form.ConfigurableFormPanel} form the configurable form panel
+     * @param {Function} callback the callback function
+     */
+    _handleWarnedFields: function(form, callback)
+    {
+    	var warnedFields = form.getWarnedFields();
+		if (Ext.Object.getSize(warnedFields) > 0)
+		{
+			var msgBox = Ext.create('Ext.window.MessageBox', {closeAction: 'destroy'});
+            msgBox.buttonText.yes = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_WARNED_FIELDS_YES'/>";
+            msgBox.buttonText.no = "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_WARNED_FIELDS_NO'/>";
+			
+			var message = "<ul>";
+			Ext.Object.each(warnedFields, function(warnedFieldLabel) {
+				var warningMessages = warnedFields[warnedFieldLabel];
+				
+				var warningList = "<ul>";
+				Ext.Array.each(warningMessages, function(warningMessage) {
+					warningList += "<li>";
+					warningList += warningMessage;
+					warningList += "</li>";
+				});
+				warningList += "</ul>";
+				
+				message += "<li>";
+				message += "<strong>" + warnedFieldLabel + "</strong>: " + warningList
+				message += "</li>";
+			})
+			message += "</ul>";
+			
+		    Ametys.Msg.show({
+		        title: "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_WARNED_FIELDS_TITLE'/>",
+		        msg: "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_WARNED_FIELDS_START'/>" + message + "<i18n:text i18n:key='PLUGINS_CORE_UI_SAVE_ACTION_WARNED_FIELDS_END'/>",
+		        buttons: Ext.Msg.YESNO,
+		        icon: Ext.Msg.QUESTION,
+		        fn: function(answer) {callback(answer == 'yes');},
+		        scope: this
+		    });
+		    return;
+		}
+		else
+		{
+			// All checks passed successfully
+	  		callback(true); 
+		}
+    },
+    
+    /**
+     * @private
+     * Are all the tests currently successful ?
+     * @param {Ametys.form.ConfigurableFormPanel.ParameterChecker[]} paramCheckers the parameter checkers
+     * @return true if all the tests are currently successful, false otherwise
+     */
+    _areTestsOk: function(paramCheckers)
+    {
+    	var testsOk = true;
+		Ext.Array.each(paramCheckers, function(paramChecker) {
+	        var status = paramChecker.getStatus();
+	        
+	        if (Ext.getCmp(paramChecker.buttonId).isVisible() 
+	            && (status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_FAILURE 
+	                || status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_NOT_TESTED
+	                || status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_WARNING))
+	        {
+	        	testsOk = false;
+	        }
+	    });
+		
+		return testsOk;
+    }
+});
\ No newline at end of file
Index: main/plugin-core-ui/resources/js/Ametys/form/field/ChangePassword.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/field/ChangePassword.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/form/field/ChangePassword.js	(working copy)
@@ -179,7 +179,7 @@
     	// Change password button
     	var buttonConfig = this.buttonConfig || {};
     	Ext.applyIf(buttonConfig, {
-    		text: "<i18n:text i18n:key='PLUGINS_CORE_UI_PASSWORD_CHANGE'/>",
+    		text: "<i18n:text i18n:key='PLUGINS_CORE_UI_CHANGEPASSWORD_CHANGE'/>",
     		cls: 'ametys-changepassword-change',
     		width: '100%',
     		handler: Ext.bind(this._setToMode, this, [Ametys.form.field.ChangePassword.MODE_CHANGEPASSWORD])
@@ -189,7 +189,7 @@
     	// Reset change button
     	var rstButtonCfg = {
     		handler: Ext.bind(this._setToMode, this, [Ametys.form.field.ChangePassword.MODE_SEEPASSWORD]),
-    		tooltip: "<i18n:text i18n:key='PLUGINS_CORE_UI_PASSWORD_CLEAR'/>",
+    		tooltip: "<i18n:text i18n:key='PLUGINS_CORE_UI_CHANGEPASSWORD_CLEAR'/>",
     		cls: 'ametys-changepassword-reset',
     		height: 0
     	};
@@ -241,7 +241,7 @@
     	
     	if ((arguments.length == 1 && value == undefined) || (arguments.length == 0 && this.items.get(Ametys.form.field.ChangePassword.INDEX_MAIN_FIELD).getValue() != this.items.get(Ametys.form.field.ChangePassword.INDEX_CONFIRMATION_FIELD).getValue()))
     	{
-    		errors.push("<i18n:text key='PLUGINS_CORE_UI_PASSWORD_VALIDATOR'/>");
+    		errors.push("<i18n:text key='PLUGINS_CORE_UI_CHANGEPASSWORD_VALIDATOR'/>");
     	}
 
     	return errors;
Index: main/plugin-core-ui/resources/js/Ametys/form/field/DateTime.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/field/DateTime.js	(revision 32835)
+++ main/plugin-core-ui/resources/js/Ametys/form/field/DateTime.js	(working copy)
@@ -27,7 +27,7 @@
 	 */
     
     /**
-	 * @cfg {Object} timeConfig A configuration to transmit to the time field. See {@link Ext.form.field.Time
+	 * @cfg {Object} timeConfig A configuration to transmit to the time field. See {@link Ext.form.field.Time}
 	 */
     
     /**
Index: main/plugin-core-ui/resources/js/Ametys/form/field/Password.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/field/Password.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/field/Password.js	(revision 0)
@@ -0,0 +1,339 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * Field that displays allows to type in a password. If no password is set the field is empty, else
+ * the field is initially disabled.
+ */
+Ext.define('Ametys.form.field.Password', {
+    extend: 'Ametys.form.AbstractFieldsWrapper',
+    alias: ['widget.passwordfield', 'widget.password'],
+    alternateClassName: ['Ext.form.PasswordField', 'Ext.form.Password', 'Ext.form.field.Password'],
+    
+    statics: {
+    	
+    	/**
+         * @protected
+         * @readonly
+         * @property {Number} 
+         * the mode when no password has been defined yet
+         */
+        MODE_NOPASSWORD: 0,
+        /**
+         * @protected
+         * @readonly
+         * @property {Number} 
+         * the mode when setting a password 
+         */
+        MODE_CHANGEPASSWORD: 1,
+        /**
+         * @protected
+         * @readonly
+         * @property {Number} 
+         * the mode when displaying a password
+         */
+        MODE_SEEPASSWORD: 2,
+        /**
+         * @protected
+         * @readonly
+         * @property {String} 
+         * the tooltip of the button for changing the password
+         */
+        RESET_PASSWORD_TEXT: "<i18n:text i18n:key='PLUGINS_CORE_UI_PASSWORD_RESET'/>",
+        /**
+         * @protected
+         * @readonly
+         * @property {String} 
+         * the tooltip of the button for resetting the password
+         */
+        CHANGE_PASSWORD_TEXT: "<i18n:text i18n:key='PLUGINS_CORE_UI_PASSWORD_CHANGE'/>",
+        /**
+         * @protected
+         * @readonly
+         * @property {String} 
+         * the icon path for changing the password
+         */
+        CHANGE_PASSWORD_ICON_PATH: Ametys.getPluginResourcesPrefix('core-ui') + '/img/Ametys/theme/gray/reload_16.png',
+        /**
+         * @protected
+         * @readonly
+         * @property {String} 
+         * the icon path for resetting the password
+         */
+        RESET_PASSWORD_ICON_PATH: Ametys.getPluginResourcesPrefix('core-ui') + '/img/Ametys/theme/gray/password-reset.png',
+        /**
+         * @protected
+         * @readonly
+         * @property {Number} 
+         * the width of the button
+         */
+        SET_CLEAR_PASSWORD_BUTTON_WIDTH: 20,
+        /**
+         * @protected
+         * @readonly
+         * @property {Number} 
+         * the height of the button
+         */
+        SET_CLEAR_PASSWORD_BUTTON_HEIGHT: 20
+    },
+    
+    /**
+     * @cfg {Object} passwordConfig The configuration object for the first text field. Note that many configuration can be set directly here and will we broadcasted to underlying field (allowBlank...)
+     */
+    /**
+     * @cfg {Object} buttonConfig The configuration object for the button to change password.
+     */
+    /**
+     * @cfg {Boolean} allowBlank
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-allowBlank}.
+     */
+    /**
+     * @cfg {Boolean} blankText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-blankText}.
+     */
+    /**
+     * @cfg {String} emptyText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-emptyText}.
+     */
+    /**
+     * @cfg {String} invalidText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-invalidText}.
+     */
+    /**
+     * @cfg {RegExp} maskRe
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-maskRe}.
+     */
+    /**
+     * @cfg {Number} maxLength
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-maxLength}.
+     */
+    /**
+     * @cfg {String} maxLengthText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-maxLengthText}.
+     */
+    /**
+     * @cfg {Number} minLength
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-minLength}.
+     */
+    /**
+     * @cfg {String} minLengthText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-minLengthText}.
+     */
+    /**
+     * @cfg {RegExp} regex
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-regex}.
+     */
+    /**
+     * @cfg {String} regexText
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-regexText}.
+     */
+    /**
+     * @cfg {Boolean} selectOnFocus
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-selectOnFocus}.
+     */
+    /**
+     * @cfg {Number} size
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-size}.
+     */
+    /**
+     * @cfg {RegExp} stripCharsRe
+     * This property is copied to underlying text fields. See {@link Ext.form.field.Text#cfg-stripCharsRe}.
+     */
+
+	/**
+	 * @private
+	 * @property {Number} _mode The current mode of the widget. One of MODE_CHANGEPASSWORD, MODE_SEEPASSWORD and MODE_CHANGEPASSWORD.
+	 */
+    /**
+     * @private
+     * @property  {String} _previousValue the memorized value of the field
+     */
+    /**
+     * @private
+	 * @property {Ext.form.field.Text} _field the field containing the password
+	 */
+    /**
+     * @private
+	 * @property {Ext.button.Button} _button the button allowing to change/save the password's value
+	 */
+    /**
+     * @private
+     * @property  {Boolean} _initiallyInSeeMode true if the saved password is the good one, false otherwise
+     */
+    
+    initComponent: function() 
+    {
+    	// Password field
+    	var passwordConfig = this.passwordConfig || {};
+    		passwordConfig.inputType = 'password';
+    		passwordConfig.flex = 1;
+
+		var propertiesToCopy = ['allowBlank', 'blankText', 'emptyText', 'invalidText', 'maskRe', 'maxLength', 'maxLengthText', 'minLength', 'minLengthText', 'regex', 'regexText', 'selectOnFocus', 'size', 'stripCharsRe'];
+    	this._copyPropIfDefined(passwordConfig, propertiesToCopy, this.initialConfig);
+    	
+    	this._field = Ext.create('Ext.form.field.Text', passwordConfig);
+    	
+    	this._mode = Ametys.form.field.Password.MODE_NOPASSWORD;
+    	
+    	// Change password button 
+    	var buttonConfig = this.buttonConfig || {};
+    	
+    	Ext.applyIf(buttonConfig, {
+    		tooltip: '',
+    		width: Ametys.form.field.Password.SET_CLEAR_PASSWORD_BUTTON_WIDTH,
+    		height: Ametys.form.field.Password.SET_CLEAR_PASSWORD_BUTTON_HEIGHT,
+    		handler: Ext.bind(this._setToMode, this, [null], false),
+    		margin: '1 0 0 0',
+    		border: false
+    	});
+    	this._button = Ext.create('Ext.button.Button', buttonConfig);
+    	
+    	this.items = [this._field, this._button];
+    	
+    	this.msgTarget = 'side';
+    	
+    	this.on('afterrender', this._adaptRenderToMode, this);
+    	
+        this.callParent(arguments);
+    },
+    
+    getErrors: function (value) 
+    {
+    	var errors = [];
+    	if (!this.allowBlank && !this._field.getValue())
+    	{
+    		errors.push(this.blankText);
+    	}
+
+    	if (this._mode == Ametys.form.field.Password.MODE_SEEPASSWORD)
+    	{
+    		return errors;
+    	}
+
+    	return errors;
+    },
+    
+    getValue: function()
+    {
+        if (this._mode == Ametys.form.field.Password.MODE_SEEPASSWORD)
+    	{
+    		return null;
+    	}
+    	else 
+    	{
+    		return this._field.getValue();
+    	}
+    },
+    
+    getSubmitData: function ()
+    {
+    	return this._mode == Ametys.form.field.Password.MODE_SEEPASSWORD ? null : this.callParent(arguments);
+    },
+    
+    setValue: function(value)
+    {
+		this._setToMode((value == undefined || value == '') ? Ametys.form.field.Password.MODE_NOPASSWORD : Ametys.form.field.Password.MODE_SEEPASSWORD);
+    		
+		this._field.setValue(value);
+    	
+    	this.callParent(arguments);
+    },
+    
+    enable: function()
+    {
+    	this._adaptRenderToMode();
+
+    	this.callParent(arguments);
+    },
+    
+    disable: function()
+    {
+    	this._adaptRenderToMode();
+
+    	this.callParent(arguments);
+    },
+    
+    /**
+     * @private
+     * Change the mode
+     * @param {Number} mode The mode to set (see {@link #property-mode}). The render is modified.
+     */
+    _setToMode: function(mode) 
+    {
+    	if (mode == null && this._initiallyInSeeMode && this._mode == Ametys.form.field.Password.MODE_CHANGEPASSWORD)
+		{
+    		// we should not be able to go in MODE_SEEPASSWORD if the field was not initially in that mode
+    		mode = Ametys.form.field.Password.MODE_SEEPASSWORD;
+		}
+    	
+    	if (this._mode == Ametys.form.field.Password.MODE_SEEPASSWORD)
+    	{
+    		if (mode == null)
+			{
+    			mode = Ametys.form.field.Password.MODE_CHANGEPASSWORD;
+			}
+    		
+        	this._previousValue = this._field.getValue();
+        	this._initiallyInSeeMode = true;
+    	}
+    	
+    	this._mode = mode;
+
+    	if (mode == Ametys.form.field.Password.MODE_SEEPASSWORD)
+    	{
+    		this._field.setValue(this._previousValue);
+    	}
+
+    	this._adaptRenderToMode();
+    	this.clearInvalid();
+    },
+    
+    /**
+     * @private
+     * Modify the render to adapt it to the current mode and current enable state
+     */
+    _adaptRenderToMode: function() 
+    {
+    	if (!this.rendered)
+    	{
+    		return;
+    	}
+
+    	if (this._mode == Ametys.form.field.Password.MODE_NOPASSWORD)
+		{
+    		this._field.setDisabled(this.disabled);
+    		this._button.hide();
+		}
+    	else
+		{
+    		if (this._mode == Ametys.form.field.Password.MODE_SEEPASSWORD)
+			{
+				this._field.disable();
+				this._button.setTooltip(Ametys.form.field.Password.CHANGE_PASSWORD_TEXT);
+				this._button.setIcon(Ametys.form.field.Password.CHANGE_PASSWORD_ICON_PATH);
+			}
+    		else
+			{
+    			// The user is modifying the value
+    			this._field.enable();
+				this._button.setTooltip(Ametys.form.field.Password.RESET_PASSWORD_TEXT);
+				this._button.setIcon(Ametys.form.field.Password.RESET_PASSWORD_ICON_PATH);
+			}
+
+    		this._button.show();
+		}
+    }
+});
Index: main/plugin-core-ui/resources/js/Ametys/form/field/StringTime.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/field/StringTime.js	(revision 0)
+++ main/plugin-core-ui/resources/js/Ametys/form/field/StringTime.js	(revision 0)
@@ -0,0 +1,84 @@
+/*
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This abstract class is used by widgets providing a drop-down menu listing times. Its value is stored as a String.
+ */
+Ext.define('Ametys.form.widget.StringTime', {
+    
+    extend: 'Ametys.form.AbstractFieldsWrapper',
+    alias: ['widget.stringtimefield', 'widget.stringtime'],
+    
+    /**
+     * @cfg {String} format the disply format. Can be "VeryShortTime" to have hours and minutes or "ShortTime" to have hours, minutes and seconds
+     * Defaults to "ShortTime" 
+     */
+    format: "ShortTime",
+    
+    /**
+	 * @cfg {Object} timeConfig A configuration to transmit to the time field. See {@link Ext.form.field.Time}
+	 */
+    
+    /**
+     * @property {Ext.form.field.Time} _timeField the time field
+     */
+    
+    initComponent: function()
+    {
+        this.items = this._getItems();
+        this.callParent();
+    },
+	
+    /**
+     * @private
+     * Get the items composing the fields
+     * @return {Object[]} The items
+     */
+    _getItems: function ()
+    {
+    	this._timeField = Ext.create('Ext.form.field.Time', Ext.applyIf(this.timeConfig|| {}, this._getTimeFieldConfig()));
+    	return [this._timeField];
+    },
+    
+    /**
+     * @private
+     * Get the time field's configuration
+     * @return {Object} the time field's configuration
+     */
+    _getTimeFieldConfig: function ()
+    {
+        return {
+            format: this.format == "ShortTime" ? "H:i" : "H:i:s",
+    		value: this.value == Ametys.form.widget.Date.CURRENT ? new Date() : this.value,
+        };
+    },
+    
+	getValue: function()
+	{
+		return Ext.Date.format(this._timeField.getValue(), this._timeField.format);
+	},
+	
+	setValue: function(value)
+	{
+		this._timeField.setValue(value);
+	},
+	
+    getErrors: function (value) 
+    {
+    	var errors = this._timeField.getErrors(value);
+    	return errors;
+    }
+});
Index: main/plugin-core-ui/resources/js/Ametys/plugins/coreui/configurableformpanel/TestsController.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/plugins/coreui/configurableformpanel/TestsController.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/plugins/coreui/configurableformpanel/TestsController.js	(working copy)
@@ -15,7 +15,7 @@
  */
 
 /**
- * The controller to launche tests on a configurable form panel
+ * The controller launching tests on a configurable form panel
  * @private
  */
 Ext.define('Ametys.plugins.coreui.configurableformpanel.TestsController', {
@@ -32,7 +32,7 @@
             if (target != null)
             {
                 var mode = controller.getInitialConfig().mode;
-                var form = target.getParameters().form;
+                var form = target.getParameters().object.owner;
                 
                 var activeParamCheckers = form._paramCheckersDAO._paramCheckers.filter(function (el) { return el.isActive; });
                 form._paramCheckersDAO.check(activeParamCheckers, true, Ext.emptyFn , mode == 'all');
@@ -44,7 +44,6 @@
 	 * @property {String} _mode the check mode (can be "all" or "missed")
 	 * @private
 	 */
-	
 	constructor: function(config)
 	{
 		this.callParent(arguments);
Index: main/plugin-core-ui/resources/js/Ametys/plugins/coreui/userprefs/UserPrefsActions.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/plugins/coreui/userprefs/UserPrefsActions.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/plugins/coreui/userprefs/UserPrefsActions.js	(working copy)
@@ -1,5 +1,5 @@
 /*
- *  Copyright 2013 Anyware Services
+ *  Copyright 2015 Anyware Services
  *
  *  Licensed under the Apache License, Version 2.0 (the "License");
  *  you may not use this file except in compliance with the License.
@@ -202,19 +202,7 @@
 	 */
 	_saveUserPrefs: function ()
 	{
-		var invalidFields = this._form.getInvalidFields();
-		if (invalidFields.length > 0)
-		{
-			Ametys.Msg.show({
-				   title: "<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_SAVE'/>",
-				   msg: "<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_SAVE_INVALIDFIELDS'/>" + invalidFields.join(', '),
-				   buttons: Ext.Msg.OK,
-				   icon: Ext.MessageBox.ERROR
-			});
-			return;
-		}
-		
-		Ametys.userprefs.UserPrefsDAO.saveValues(this._form.getValues(), Ext.bind(this._saveCb, this));
+        Ametys.form.SaveHelper.canSave(this._form, Ext.bind(Ametys.userprefs.UserPrefsDAO.saveValues, Ametys.userprefs.UserPrefsDAO,[this._form.getValues(), Ext.bind(this._saveCb, this)], 1));
 	},
 	
 	/**
@@ -227,18 +215,10 @@
 	{
 		if (success == false && errors != null)
     	{
-    		var details = "";
-    		for (var error in errors)
-    		{
-    			details += error + ": " + errors[error] + "\n";
-    		}
-    		
-    	    Ametys.log.ErrorDialog.display({
-    	        title: "<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_RESET_WORKSPACE_FAILURE_TITLE'/>",
-    	        text: "<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_RESET_WORKSPACE_FAILURE_DESC'/>",
-    	        details: details,
-    	        category: this.self.getName() 
-    	    });
+			Ametys.form.SaveHelper.handleServerErrors(this._form, 
+					"<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_RESET_WORKSPACE_FAILURE_TITLE'/>", 
+					"<i18n:text i18n:key='PLUGINS_CORE_UI_USER_PREFERENCES_RESET_WORKSPACE_FAILURE_DESC'/>", 
+					errors);
     	}
     	else
     	{
Index: main/plugin-core-ui/resources/js/Ametys/ribbon/element/ui/CommonController.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/ribbon/element/ui/CommonController.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/ribbon/element/ui/CommonController.js	(working copy)
@@ -974,7 +974,7 @@
 				// nomatch
 				this.setAdditionalDescription(this.getInitialConfig("selection-description-nomatch"));
 			}
-			else if (!this._hasRightOnAny(targets))
+			else if (!this.hasRightOnAny(targets))
 			{
 				// noright
 				this.setAdditionalDescription(this.getInitialConfig("rights-description-no") || this.getInitialConfig("no-right-description"));
@@ -1236,7 +1236,7 @@
 				Ext.Object.each(target.getParameters(), function(key, value, parameters) {
 					if ((!selectionParameterNameReverseRegexp && selectionParameterNameRegexp.test(key)
 							|| selectionParameterNameReverseRegexp && !selectionParameterNameRegexp.test(key))
-						&& checkValue(value))
+						&& value != null && checkValue(value))
 					{
 						gotOne = true;
 						return false; // stop the iteration
@@ -1313,9 +1313,9 @@
 		/**
 		 * Checks if the rights on at least one target is ok for at least one right required for the button.
 		 * @param {Ametys.message.MessageTarget[]} targets The message targets to check
-		 * @private
+		 * @protected
 		 */
-		_hasRightOnAny: function(targets)
+		hasRightOnAny: function(targets)
 		{
 			var rightToCheck = this.getInitialConfig("rights");
 			
Index: main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAO.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAO.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/userprefs/UserPrefsDAO.js	(working copy)
@@ -229,8 +229,13 @@
 	 * @param {Number} [priority] The priority of the Ametys.data.ServerComm#send call: default is Ametys.data.ServerComm#PRIORITY_MAJOR. Set to Ametys.data.ServerComm#PRIORITY_MINOR to save less important preferences. 
 	 * @param {String} [cancelCode] A cancel code to prevent many successive save process. See Ametys.data.ServerComm#send for more information.   
 	 */
-	saveValues: function(params, callback, prefContext, priority, cancelCode)
+	saveValues: function(canSave, params, callback, prefContext, priority, cancelCode)
 	{
+		if (!canSave)
+		{
+			return;
+		}
+		
 		params["prefContext"] = prefContext || this._defaultPrefContext;
 		params["submit"] = 'true';
 		
